/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


/*#### UTILITIES ####*/
html {
    font-size: 15px!important;
}
body{
    overflow-x: hidden;
}
.hide{
    display:none;
}
@media screen and (min-width: 769px) {
    .mobile{
        display:none!important;
    }
}
.no-event {
    pointer-events: none;
}
/*#### UTILITIES ####*/


p#breadcrumbs * {
    font-size: 1rem !important;
    letter-spacing: 1px;
}
span.breadcrumb_last {
    color: var(--e-global-color-text);
}


/*#### OSANO ####*/
/* FOR BOX SOLUTION */
/*.osano-cm-message {*/
/*    font-size: 0.85rem;*/
/*    line-height: 1.2rem;*/
/*}*/
/*.osano-cm-link {*/
/*    color: var(--osano-link-color)!important;*/
/*}*/
/*.osano-cm-dialog--type_box .osano-cm-dialog__content {*/
/*    font-size: 85%;*/
/*}*/
/*.osano-cm-window__dialog.osano-cm-dialog--type_box{*/
/*.osano-cm-close {*/
/*    background-color: #ffffff00 !important;*/
/*    border-width: 0px !important;*/
/*}*/
/*.osano-cm-close:focus-visible {*/
/*    background-color: transparent;*/
/*    color: #fff;*/
/*    fill: #fff;*/
/*    --osano-button-close-stroke-color: #fff;*/
/*    border: none;*/
/*}*/
/*.osano-cm-buttons__button {*/
/*    width: 100%;*/
/*    font-size:14px!important;*/
/*    padding: 5px !important;*/
/*    font-family: var(--e-global-typography-primary-font-family)!important;*/
/*    font-weight: 400!important;*/
/*    letter-spacing: 0px !important;*/
/*    text-transform: capitalize !important;*/
/*}*/
/*.osano-cm-drawer-toggle .osano-cm-label {*/
/*    font-weight: bold;*/
/*}*/
/*.osano-cm-description {*/
/*    font-weight: 400!important;*/
/*    font-family: "Helvetica"!important;*/
/*}*/
/*.osano-cm-list__list-item {*/
/*    border-bottom: 1px dotted #ccc;*/
/*    margin: 10px 0;*/
/*}*/
/* FOR BOX SOLUTION */

/* FOR BAR SOLUTION */
.osano-cm-window__dialog {
    padding: 10px;
    width: calc(100vw - 110px);
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    overflow: hidden;
}
.osano-cm-dialog--type_bar .osano-cm-dialog__content {
    max-width: calc(100vw - 45%);
    font-size: 15px;
}
p.osano-cm-content__drawer-links.osano-cm-drawer-links {
    width: 140px;
    display: inline-block;
}
.osano-cm-close {
    background-color: #ffffff00 !important;
    border-width: 0px !important;
    margin: 0;
}
.osano-cm-close:focus-visible {
    background-color: transparent;
    color: #fff;
    fill: #fff;
    --osano-button-close-stroke-color: #fff;
    border: none;
}
/*.osano-cm-dialog__close {*/
/*    top: 50%;*/
/*    transform: translateY(-50%);*/
/*    margin: 0;*/
/*}*/
.osano-cm-widget{
    background-color: transparent !important;
    border: none !important;
    padding: inherit!important;
}
.osano-cm-dialog--type_bar .osano-cm-dialog__buttons {
    position: sticky;
    top: 0;
    max-width: 100%;
    min-width: 20px;
    flex-direction: row !important;
    flex-wrap: nowrap;
    justify-content: space-around;
    width: auto;
}
.osano-cm-dialog--type_bar .osano-cm-button {
    flex: auto;
    width: 100%;
    max-width: 260px;
    margin: .25em .5em;
    padding: 10px 5px;
    font-size: 1rem;
    white-space: break-spaces;
    text-transform: uppercase!important;
    line-height: 15px;
}
button.osano-cm-accept.osano-cm-buttons__button.osano-cm-button.osano-cm-button--type_accept{order: 1;}
button.osano-cm-deny.osano-cm-buttons__button.osano-cm-button.osano-cm-button--type_deny{order: 3;}
button.osano-cm-manage.osano-cm-buttons__button.osano-cm-button.osano-cm-button--type_manage{order: 2;}

.osano-cm-view--active {
    font-family: monospace;
}
    
@media screen and (max-width: 1200px) {
    .osano-cm-window__dialog {
        width: 100%;
        border-top-right-radius: 0px;
        border-bottom-right-radius: 0px;
    }
    .osano-cm-dialog--type_bar .osano-cm-dialog__content {
        max-width: calc(100vw - 55%);
        font-size: 14px;
    }
    .osano-cm-dialog--type_bar .osano-cm-dialog__buttons {
        justify-content: start;
    }
    
}
@media screen and (max-width: 768px) {
    .osano-cm-dialog--type_bar .osano-cm-dialog__content {
        max-width: 100%;
        text-align: center;
        font-size: 13px;
        padding-right: 40px;
    }
    .osano-cm-dialog--type_bar {
        flex-direction: column;
    }
    .osano-cm-close {
        margin: 0;
    }
    .osano-cm-dialog--type_bar .osano-cm-dialog__list {
        margin: 0 auto;
        justify-content: center;
    }
    p.osano-cm-content__drawer-links.osano-cm-drawer-links {
        margin: 0;
    }
    .osano-cm-dialog--type_bar .osano-cm-dialog__buttons {
        flex-wrap: wrap;
        width: auto;
        justify-content: center;
    }
    .osano-cm-dialog--type_bar .osano-cm-button {
        padding: 8px 5px;
        width: 31%;
    }
}
@media screen and (max-width: 485px) {
    button.osano-cm-accept.osano-cm-buttons__button.osano-cm-button.osano-cm-button--type_accept{order: 2;}
    button.osano-cm-deny.osano-cm-buttons__button.osano-cm-button.osano-cm-button--type_deny{order: 3;}
    button.osano-cm-manage.osano-cm-buttons__button.osano-cm-button.osano-cm-button--type_manage{order: 1;}
}
/* FOR BAR SOLUTION */
/*#### OSANO ####*/




